/* ===== ESTILOS  ===== */
body {
    margin: 0; 
    font-family: Arial, sans-serif; /* Fuente del sitio */
    background: #f4f4f4; /* Fondo claro */
}


img {
    max-width: 100%;
    height: auto;
    display: block;
}

/* ===== BARRA DE NAVEGACIÓN ===== */
.navbar {
    background: #7aa252; 
    padding: 15px;
    text-align: center;
}

.navbar a {
    color: white; 
    margin: 0 10px;
    text-decoration: none;
    font-weight: bold;
}

/* ===== CONTENEDORES ===== */
.contenedor {
    padding: 20px;
    display: grid; 
    gap: 20px;
}

/* Tres columnas */
.tres-columnas {
    grid-template-columns: repeat(3, 1fr);
}

/* ===== PRODUCTOS MÁS VENDIDOS ===== */
.productos {
    grid-template-columns: repeat(3, 1fr); /* 3 columnas */
    grid-template-rows: repeat(2, auto); /* 2 filas */
}

/* ===== TARJETA DE PRODUCTO ===== */
.producto {
    border: 1px solid #ccc;
    padding: 15px;
    text-align: center;
    background: white;
    border-radius: 6px;
}

/* Imagen del producto */
.producto img {
    width: 100%;
    height: 180px;
    object-fit: contain; 
}

/* Precio */
.precio {
    font-weight: bold;
    color: #2e7d32;
}

/* ===== SECCIONES ===== */
.centrado {
    text-align: center;
}

.logo {
    max-width: 180px;
    margin: auto;
}

.imagen {
    width: 100%;
    max-height: 300px;
    object-fit: cover;
}

/* ===== PIE DE PÁGINA ===== */
.footer {
    background: #7aa252;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 15px;
    text-align: center;
    color: white;
}

/* Redes sociales */
.redes {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.redes img {
    width: 30px;
    height: 30px;
}

/* ===== RESPONSIVE ===== */

/* Mediano */
@media (max-width: 900px) {
    .tres-columnas,
    .productos,
    .footer {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Pequeño */
@media (max-width: 600px) {
    .tres-columnas,
    .productos,
    .footer {
        grid-template-columns: 1fr;
    }
}
